## org.apache.solr.common.params
Interface CommonParams

    public interface CommonParams

Parameters used across many handlers

Nested Class Summary
`static class` `CommonParams.EchoParamStyle` valid values for: `echoParams`

Field Summary
`static String` `ACTION` "action" parameter for SolrPing
`static String` `CACHE` Used as a local parameter on queries.
`static String` `COST` Used as a local param on filter queries in conjunction with cache=false.
`static String` `DEBUG` Whether to provide debug info for specific items.
`static String` `DEBUG_QUERY` whether to include debug data for all components pieces, including doing explains
`static String` `DF` default query field
`static String` `DISABLE` "disable" value for SolrPing action
`static String` `ENABLE` "enable" value for SolrPing action
`static String` `EXCLUDE`
`static String` `EXPLAIN_OTHER` another query to explain against
`static String` `EXPLAIN_STRUCT` boolean indicating whether score explanations should structured (true), or plain text (false)
`static String` `FALSE`
`static String` `FIELD`
`static String` `FL` query and init param for field list
`static String` `FQ` Lucene query string(s) for filtering the results without affecting scoring
`static String` `HEADER_ECHO_HANDLER` 'true' if the header should include the handler name
`static String` `HEADER_ECHO_PARAMS` include the parameters in the header
`static String` `NOW` Override for the concept of "NOW" to be used throughout this request, expressed as milliseconds since epoch.
`static String` `OMIT_HEADER` include header in the response
`static String` `OUTPUT_KEY`
`static String` `PAGEDOC` docid of the last document of the previous page
`static String` `PAGESCORE` score of the last document of the previous page
`static String` `PING` "ping" value for SolrPing action
`static String` `PING_HANDLER` handler value for SolrPing
`static String` `Q` query string
`static String` `QT` the Request Handler (formerly known as the Query Type) - which Request Handler should handle the request
`static String` `QUERY` `DEBUG` value indicating an interest in debug output related to the Query (parsing, etc.)
`static String` `RESULTS` `DEBUG` value indicating an interest in debug output related to the results (explains)
`static String` `ROWS` number of documents to return starting at "start"
`static String` `SORT` sort order
`static String` `START` zero based offset of matching documents to retrieve
`static String` `STREAM_BODY` If the content stream should come directly from a field
`static String` `STREAM_CONTENTTYPE` Explicitly set the content type for the input stream If multiple streams are specified, the explicit contentType will be used for all of them.
`static String` `STREAM_FILE` If the content stream should come from a File (using FileReader)
`static String` `STREAM_URL` If the content stream should come from a URL (using URLConnection)
`static String` `TAG`
`static String` `TERMS`
`static String` `THREADS`
`static String` `TIME_ALLOWED` Timeout value in milliseconds.
`static String` `TIMING` `DEBUG` value indicating an interest in debug output related to timing
`static String` `TR` Transformer param -- used with XSLT
`static String` `TRUE`
`static String` `TZ` Specifies the TimeZone used by the client for the purposes of any DateMath rounding that may take place when executing the request
`static String` `VALUE`
`static String` `VERSION` version parameter to check request-response compatibility
`static String` `WT` the response writer type - the format of the response
`static String` `XSL` stylesheet to apply to XML results

Field Detail

### NOW

    static final String NOW

  Override for the concept of "NOW" to be used throughout this request, expressed as milliseconds since epoch. This is primarily used in distributed search to ensure consistent time values are used across multiple sub-requests.

  See Also:
    Constant Field Values

### TZ

    static final String TZ

  Specifies the TimeZone used by the client for the purposes of any DateMath rounding that may take place when executing the request

  See Also:
    Constant Field Values

### QT

    static final String QT

  the Request Handler (formerly known as the Query Type) - which Request Handler should handle the request

  See Also:
    Constant Field Values

### WT

    static final String WT

  the response writer type - the format of the response

  See Also:
    Constant Field Values

### Q

    static final String Q

  query string

  See Also:
    Constant Field Values

### SORT

    static final String SORT

  sort order

  See Also:
    Constant Field Values

### FQ

    static final String FQ

  Lucene query string(s) for filtering the results without affecting scoring

  See Also:
    Constant Field Values

### START

    static final String START

  zero based offset of matching documents to retrieve

  See Also:
    Constant Field Values

### ROWS

    static final String ROWS

  number of documents to return starting at "start"

  See Also:
    Constant Field Values

### PING_HANDLER

    static final String PING_HANDLER

  handler value for SolrPing

  See Also:
    Constant Field Values

### ACTION

    static final String ACTION

  "action" parameter for SolrPing

  See Also:
    Constant Field Values

### DISABLE

    static final String DISABLE

  "disable" value for SolrPing action

  See Also:
    Constant Field Values

### ENABLE

    static final String ENABLE

  "enable" value for SolrPing action

  See Also:
    Constant Field Values

### PING

    static final String PING

  "ping" value for SolrPing action

  See Also:
    Constant Field Values

### PAGESCORE

    static final String PAGESCORE

  score of the last document of the previous page

  See Also:
    Constant Field Values

### PAGEDOC

    static final String PAGEDOC

  docid of the last document of the previous page

  See Also:
    Constant Field Values

### XSL

    static final String XSL

  stylesheet to apply to XML results

  See Also:
    Constant Field Values

### VERSION

    static final String VERSION

  version parameter to check request-response compatibility

  See Also:
    Constant Field Values

### FL

    static final String FL

  query and init param for field list

  See Also:
    Constant Field Values

### DF

    static final String DF

  default query field

  See Also:
    Constant Field Values

### TR

    static final String TR

  Transformer param -- used with XSLT

  See Also:
    Constant Field Values

### DEBUG_QUERY

    static final String DEBUG_QUERY

  whether to include debug data for all components pieces, including doing explains

  See Also:
    Constant Field Values

### DEBUG

    static final String DEBUG

  Whether to provide debug info for specific items.

  See Also:
    `DEBUG_QUERY`, Constant Field Values

### TIMING

    static final String TIMING

  `DEBUG` value indicating an interest in debug output related to timing

  See Also:
    Constant Field Values

### RESULTS

    static final String RESULTS

  `DEBUG` value indicating an interest in debug output related to the results (explains)

  See Also:
    Constant Field Values

### QUERY

    static final String QUERY

  `DEBUG` value indicating an interest in debug output related to the Query (parsing, etc.)

  See Also:
    Constant Field Values

### EXPLAIN_STRUCT

    static final String EXPLAIN_STRUCT

  boolean indicating whether score explanations should structured (true), or plain text (false)

  See Also:
    Constant Field Values

### EXPLAIN_OTHER

    static final String EXPLAIN_OTHER

  another query to explain against

  See Also:
    Constant Field Values

### STREAM_URL

    static final String STREAM_URL

  If the content stream should come from a URL (using URLConnection)

  See Also:
    Constant Field Values

### STREAM_FILE

    static final String STREAM_FILE

  If the content stream should come from a File (using FileReader)

  See Also:
    Constant Field Values

### STREAM_BODY

    static final String STREAM_BODY

  If the content stream should come directly from a field

  See Also:
    Constant Field Values

### STREAM_CONTENTTYPE

    static final String STREAM_CONTENTTYPE

  Explicitly set the content type for the input stream If multiple streams are specified, the explicit contentType will be used for all of them.

  See Also:
    Constant Field Values

### TIME_ALLOWED

    static final String TIME_ALLOWED

  Timeout value in milliseconds. If not set, or the value is <= 0, there is no timeout.

  See Also:
    Constant Field Values

### HEADER_ECHO_HANDLER

    static final String HEADER_ECHO_HANDLER

  'true' if the header should include the handler name

  See Also:
    Constant Field Values

### HEADER_ECHO_PARAMS

    static final String HEADER_ECHO_PARAMS

  include the parameters in the header

  See Also:
    Constant Field Values

### OMIT_HEADER

    static final String OMIT_HEADER

  include header in the response

  See Also:
    Constant Field Values

### EXCLUDE

    static final String EXCLUDE

See Also:
  Constant Field Values

### TAG

    static final String TAG

See Also:
  Constant Field Values

### TERMS

    static final String TERMS

See Also:
  Constant Field Values

### OUTPUT_KEY

    static final String OUTPUT_KEY

See Also:
  Constant Field Values

### FIELD

    static final String FIELD

See Also:
  Constant Field Values

### VALUE

    static final String VALUE

See Also:
  Constant Field Values

### THREADS

    static final String THREADS

See Also:
  Constant Field Values

### TRUE

    static final String TRUE

### FALSE

    static final String FALSE

### CACHE

    static final String CACHE

  Used as a local parameter on queries. cache=false means don't check any query or filter caches. cache=true is the default.

  See Also:
    Constant Field Values

### COST

    static final String COST

  Used as a local param on filter queries in conjunction with cache=false. Filters are checked in order, from smallest cost to largest. If cost>=100 and the query implements PostFilter, then that interface will be used to do post query filtering.

  See Also:
    Constant Field Values

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.